/*
 ============================================================================
 Name        : processo.c
 Author      : Anderson Moreira
 E-mail		 : anderson.moreira@recife.ifpe.edu.br
 Version     : 13/06/2011
 Copyright   : 
 Description : Simula um programa zumbi
 ============================================================================
 */

#include <sys/types.h>
#include <unistd.h>
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>

int main ()
{
	// declarao de variveis
	pid_t pid;          // definindo um identificador de processo - inteiro longo

	printf("Comeando o programa zumbi - PROCESS_7... \n");
	printf( "Eu sou o Pai %d e vou criar um Filho\n", getpid() );
	pid = fork();   // dividindo o processo em dois

	switch(pid)
    {
    	case -1:       // erro na abertura do processo filho
    		exit(1);
    	case 0:        // aes do Filho
    		printf( "\t Eu sou o processo %d, filho de %d \n", getpid(), getppid());
    		printf( "\t Vou entrar num LOOP infinito\n");
    		while(1);  // loop infinito
    		break;
    	default:      // aes do Pai
    		sleep(3);
    		printf(" Eu sou o processo Pai numero %d\n", getpid());
    		printf(" Fim do Processo Pai\n");
    		break;
    }

    system("ps ");
    printf("Terminando o programa PROCESS_7 ... \n");
    exit (0);

}
